Subject: Re: [Last-Call] Genart last call review of draft-ietf-detnet-mpls-over-udp-ip-06

From: Balázs Varga A <[email-masked]>
Date: Thu, 1 Oct 2020 12:51:59 +0000

Hi Christer,

Thanks for the review. I agree with all your comments and will be corrected in next version. In detail:
Q1, Yes, RFC 7510 statement does apply to this document. Statement will be added to the introduction section.
DetNet documents focus on solutions for networks that are under a single administrative control or within a 
closed group of administrative control.
Q2, OK, second paragraph will be moved to the end of the introduction section as proposed.
Q3, OK, Terminology will be aligned with RFC 7510 (i.e., MPLS-in-UDP).

Cheers
Bala'zs

-----Original Message-----
From: Christer Holmberg via Datatracker <[email-masked]> 
Sent: Tuesday, September 1, 2020 10:48 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Genart last call review of draft-ietf-detnet-mpls-over-udp-ip-06

Reviewer: Christer Holmberg
Review result: Almost Ready

I am the assigned Gen-ART reviewer for this draft. The General Area Review Team (Gen-ART) reviews all IETF documents being processed by the IESG for the IETF Chair.  Please treat these comments just like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-detnet-mpls-over-udp-ip-06
Reviewer: Christer Holmberg
Review Date: 2020-09-01
IETF LC End Date: 2020-09-10
IESG Telechat date: Not scheduled for a telechat

Summary: In general I think the document is almost ready for publication, but I have a few minor issues and nits that I would like the authors to address.

Major issues: N/A

Minor issues:

Q1: In the last paragraph of Section 4, there is a statement from RFC 7510 aboout MPLS-in-UDP not being allowed on the general Internet etc. I think it should be explicitly indicated whether that also applies to this document. The document talks about "IP networks", but it is unclear what the scope really is.
And, if  the RFC 7510 statement does apply to this document, I think it shall be stated much earlier: either in the Introduction, or in a dedicated Applicability Section.

Nits/editorial comments:

Q2: In the Introduction, I like to have the this-document-does-this-and-that text at the end. If possible, please consider moving the 2nd paragraph to the end of the Section.

Q3: The first sentence of Section 3 says:

    "This document builds on the specification of MPLS over UDP defined in
    [RFC7510]."

...and Section 4 says "MPLS over UDP/IP encapsulation".

RFC 7510 talks about MPLS-in-UDP, so please align the terminology.